/node_modules
/vendor
/public/build
/public/hot
/public/storage
/storage/*.key
/storage/pail
/storage/framework/cache/data/*
/storage/framework/sessions/*
/storage/framework/testing/*
/storage/framework/views/*
/storage/logs/*

# Environment files
.env
.env.backup
.env.production
.env.local
.env.development.local
.env.test.local
.env.production.local

# Testing & Cache
.phpunit.result.cache
/.phpunit.cache
.phpactor.json

# IDEs and Editors
/.idea
/.vscode
/.fleet
/.nova
/.zed
*.swp
*.swo
Homestead.json
Homestead.yaml

# OS files
.DS_Store
Thumbs.db
desktop.ini

# Package locks (Optional: uncomment if you want to ignore lock files, usually committed in teams)
# composer.lock
# package-lock.json

# Temp & logs
*.log
npm-debug.log*
yarn-debug.log*
yarn-error.log*
*.tmp
*.temp
Tasks/
**/.env.app